const dbConfig = require('config').get('database');
const Sequelize = require('sequelize');

const sequelize = initDatabase();

const db = {};

db.Sequelize = Sequelize;
db.sequelize = sequelize;

db.items = require('./item.js')(sequelize, Sequelize);

module.exports = db;

function initDatabase() {
  let sequelize = null;

  if (dbConfig.get('driver') == 'sqlite') {
    sequelize = new Sequelize({
      dialect: dbConfig.get('driver'),
      storage: dbConfig.get('connection_string'),
    });
  } else {
    sequelize = new Sequelize(dbConfig.get('name'), dbConfig.get('username'), dbConfig.get('password'), {
      dialect: dbConfig.get('driver'),
      host: dbConfig.get('address'),
    });
  }

  return sequelize;
}
